Package org.eclipse.emf.cdo.ui

## Class AbstractAuthorizingHandler<T>

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.net4j.util.ui.handlers.SafeHandler
      - - org.eclipse.net4j.util.ui.handlers.LongRunningHandler
        - - org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler<T>
          - - org.eclipse.emf.cdo.ui.AbstractAuthorizingHandler<T>

- All Implemented Interfaces:
    `IHandler`, `IHandler2`

      public class AbstractAuthorizingHandler<T>
      extends org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler<T>

  Since:
    4.11
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAuthorizingHandler​(java.lang.Class<T> type, java.lang.String operationID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabled()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler

      `collectElements, updateSelection`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.handlers.LongRunningHandler

      `cancel, checkCancelation, doExecute, doExecute, getBundleID, getErrorMessage, getErrorTitle, getTotalWork, preRun, preRun, safeExecute, setTotalWork`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.handlers.SafeHandler

      `execute, extractEventDetails, getCommand, getSelection, getText, setEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

      `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isHandled, removeHandlerListener, setBaseEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAuthorizingHandler

          public AbstractAuthorizingHandler​(java.lang.Class<T> type,
                                            java.lang.String operationID)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `IHandler`
      Overrides:
        `isEnabled` in class `AbstractHandler`